org.apache.ignite.internal.util

## Class UUIDCollectionMessage

- java.lang.Object
- - org.apache.ignite.internal.util.UUIDCollectionMessage

All Implemented Interfaces:
  Serializable, Message

    public class UUIDCollectionMessage
    extends Object
    implements Message

Collection of UUIDs.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UUIDCollectionMessage()` Empty constructor required for direct marshalling.
`UUIDCollectionMessage(Collection<UUID> uuids)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`boolean` `equals(Object o)`
`byte` `fieldsCount()` Gets fields count.
`int` `hashCode()`
`static UUIDCollectionMessage` `of(UUID... uuids)`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`Collection<UUID>` `uuids()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UUIDCollectionMessage

    public UUIDCollectionMessage()

Empty constructor required for direct marshalling.

#### UUIDCollectionMessage

    public UUIDCollectionMessage(Collection<UUID> uuids)

Parameters:
  `uuids` - UUIDs to wrap.

### Method Detail

#### of

    public static UUIDCollectionMessage of(UUID... uuids)

Parameters:
  `uuids` - UUIDs.
Returns:
  Message.

#### uuids

    public Collection<UUID> uuids()

Returns:
  The collection of UUIDs that was wrapped.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023